Name:           python-mapbox-earcut
Version:        1.0.1
Release:    	2%{?dist}
Summary:        Python bindings to the mapbox earcut C++ library

License:        ISC AND BSD-3-Clause
URL:            https://github.com/skogler/mapbox_earcut_python
Source0:        %{url}/archive/v%{version}/mapbox_earcut_python-%{version}.tar.gz

BuildRequires:  python3-devel

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make

BuildRequires:  earcut-hpp-devel >= 2.2.4
BuildRequires:  earcut-hpp-static
BuildRequires:  pybind11-static

BuildRequires:  dos2unix

%global common_description %{expand:
Python bindings for the C++ implementation of the Mapbox Earcut library, which
provides very fast and quite robust triangulation of 2D polygons.

Original code: earcut.hpp

Original description:

    The library implements a modified ear slicing algorithm, optimized by
    z-order curve hashing and extended to handle holes, twisted polygons,
    degeneracies and self-intersections in a way that doesn’t guarantee
    correctness of triangulation, but attempts to always produce acceptable
    results for practical data like geographical shapes.}

%description %{common_description}


%package -n python3-mapbox-earcut
Summary:        %{summary}

%description -n python3-mapbox-earcut %{common_description}


%prep
%autosetup -n mapbox_earcut_python-%{version}

rm -rvf include

dos2unix *.md


%generate_buildrequires
%pyproject_buildrequires -x test


%build
export CFLAGS="${CFLAGS-} -ffp-contract=off"
export CXXFLAGS="${CXXFLAGS-} -ffp-contract=off"

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mapbox_earcut


%check
%pytest


%files -n python3-mapbox-earcut -f %{pyproject_files}
%doc README.md


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.0.1-2
- [Type] other
- [DESC] Rebrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
